import 'package:widgets/load_state_layout.dart';

class ServicePaySuccessState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;
  Map<String, dynamic>? datas;


  ServicePaySuccessState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    this.datas,
  });

  ServicePaySuccessState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    Map<String, dynamic>? datas,
  }) {
    return ServicePaySuccessState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      datas: datas ?? this.datas,
    );
  }
}