import 'package:widgets/load_state_layout.dart';

class PropertyNewsDetailState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  final String? title;
  Map<String, dynamic>? dataRes;

  PropertyNewsDetailState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    this.title,
    this.dataRes,
  });

  PropertyNewsDetailState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    String? title,
    Map<String, dynamic>? dataRes,
  }) {
    return PropertyNewsDetailState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      title: title ?? this.title,
      dataRes: dataRes ?? this.dataRes,
    );
  }
}